<include file="public@header" />
</head>
<body>
	<div class="wrap js-check-wrap">
		<ul class="nav nav-tabs">
			<li class="active"><a>{:lang('SHOP_PRODUCT_ORDER_LIST')}</a></li>
		</ul>

		<form class="well form-inline margin-top-20" method="post" action="{:url('Goodsorder/index')}">

			{:lang('ORDER_STATUS')}: 
            <select class="form-control" name="status">
				<option value="">{:lang('DEFAULT')}</option>
                <volist name="status" id="v">
                    <option value="{$key}" <if condition="input('request.status') neq '' && input('request.status') eq $key">selected</if>>{$v}</option>
                </volist>
			</select>
            {:lang('ORDER_TYPE')}: 
            <select class="form-control" name="type">
				<option value="">{:lang('DEFAULT')}</option>
				<option value="0" <if condition="input('request.type') neq '' && input('request.type') eq 0">selected</if>>{:lang('SHOP_SELF_OPERATED')}</option>
				<option value="1" <if condition="input('request.type') neq '' && input('request.type') eq 1">selected</if>>{:lang('SELLER_POST')}</option>
			</select>

			{:lang('SHARING_COMMISSION')}: 
            <select class="form-control" name="share_income">
				<option value="">{:lang('ALL')}</option>
				<option value="0" <if condition="input('request.share_income') neq '' && input('request.share_income') eq 0">selected</if>>无佣金</option>
				<option value="1" <if condition="input('request.share_income') neq '' && input('request.share_income') eq 1">selected</if>>有佣金</option>
			</select>
			
            {:lang('PRODUCT_NAME')}: 
            <input class="form-control" type="text" name="goods_name" style="width: 200px;" value="{:input('request.goods_name')}"
                   placeholder="{:lang('PLEASE_ENTER_FULL_OR_PARTIAL_PRODUCT_NAME')}">
			{:lang('BUYER_USER_ID')}: 
            <input class="form-control" type="text" name="buyer_uid" style="width: 200px;" value="{:input('request.buyer_uid')}"
                   placeholder="{:lang('PLEASE_ENTER_BUYER_USER_ID_NICE_ID')}">

			{:lang('SELLER_USER_ID')}: 
            <input class="form-control" type="text" name="seller_uid" style="width: 200px;" value="{:input('request.seller_uid')}"
                   placeholder="{:lang('PLEASE_ENTER_SELLER_USER_ID_NICE_ID')}">

			{:lang('ORDER_SUBMISSION_TIME')}: 
			<input class="form-control js-bootstrap-date" name="start_time" id="start_time" autocomplete="off" value="{:input('request.start_time')}" aria-invalid="false" style="width: 110px;"> - 
            <input class="form-control js-bootstrap-date" name="end_time" id="end_time" autocomplete="off" value="{:input('request.end_time')}" aria-invalid="false" style="width: 110px;">
            
        	{:lang('ORDER_NUMBER')}: 
            <input class="form-control" type="text" name="orderno" style="width: 200px;" value="{:input('request.orderno')}"
                   placeholder="{:lang('PLEASE_ENTER_FULL_OR_PARTIAL_ORDER_NUMBER')}">
			{:lang('THIRD_PARTY_PAYMENT_ORDER_NUMBER')}: 
            <input class="form-control" type="text" name="trade_no" style="width: 200px;" value="{:input('request.trade_no')}"
                   placeholder="{:lang('PLEASE_ENTER_THIRD_PARTY_PAYMENT_ORDER_NUMBER')}">

			{:lang('CONTACT_PHONE_NUMBER')}: 
            <input class="form-control" type="text" name="phone" style="width: 200px;" value="{:input('request.phone')}"
                   placeholder="{:lang('PLEASE_ENTER_BUYER_USER_PHONE_NUMBER')}">
            
			<input type="submit" class="btn btn-primary" value="{:lang('SEARCH')}">
			<a class="btn btn-danger" href="{:url('Goodsorder/index')}">{:lang('CLEAR')}</a>
		</form>

		<form method="post" class="js-ajax-form">
			<table class="table table-hover table-bordered">
				<thead id="bignav">
					<tr>
						<th>ID</th>
						<th>{:lang('PURCHASING_USER')}</th>
						<th>{:lang('MERCHANT')}</th>
						<th>{:lang('ORDER_NUMBER')}</th>
						<th>{:lang('PRODUCT_NAME')}</th>
						<th>{:lang('PRODUCT_SPECIFICATION')}</th>
						<th>{:lang('SPECIFICATION_COVER')}</th>
						<th>{:lang('PURCHASE_QUANTITY')}</th>
						<th>{:lang('UNIT_PRICE_OF_PRODUCT')}</th>
						<th>{:lang('PRODUCT_SHIPPING_COST')}</th>
						<th>{:lang('TOTAL_PRODUCT_PRICE')}</th>
						<th>{:lang('PURCHASER')}</th>
						<th>{:lang('PURCHASER_PHONE_NUMBER')}</th>
						<th>{:lang('PAYMENT_METHOD')}</th>
						<th>{:lang('THIRD_PARTY_ORDER_NUMBER')}</th>
						<th>{:lang('ORDER_STATUS')}</th>
						<th>{:lang('ORDER_TIME')}</th>
						<th>{:lang('CANCEL_TIME')}</th>
						<th>{:lang('PAYMENT_TIME')}</th>
						<th>{:lang('SHIPPING_TIME')}</th>
						<th>{:lang('RECEIVING_TIME')}</th>
						<th>{:lang('REVIEW_TIME')}</th>
						<th>{:lang('SETTLEMENT_TIME')}</th>
						<th>{:lang('SHARING_USER')}</th>
						<th>{:lang('SHARING_COMMISSION')}</th>
						<th align="center">{:lang('ACTIONS')}</th>
					</tr>
				</thead>
				<tbody>
					<foreach name="lists" item="vo">
					<tr>
						<td>{$vo.id}</td>
						<td>{$vo.buyer_info['user_nickname']}({$vo['uid']})</td>
						<td><if condition="$vo['shop_uid'] eq 1">{:lang('SHOP_SELF_OPERATED')}<else />{$vo.seller_info['user_nickname']}({$vo['shop_uid']})</if></td>
						<td>{$vo['orderno']}</td>
						<td style="min-width: 100px;">{$vo['goods_name']}</td>
						<td>{$vo['spec_name']}</td>
						<td><img width="40" height="40" class="imgtip" src="{$vo['spec_thumb']}" /></td>
						<td>{$vo['nums']}</td>
						<td>￥{$vo['price']}</td>
						<td>￥{$vo['postage']}</td>
						<td>￥{$vo['total']}</td>
						<td>{$vo['username']}</td>
						<td>{$vo['phone']}</td>
						<td>{$type[$vo['type']]}</td>
						<td>{$vo['trade_no']}</td>
						<td>{$status[$vo['status']]}</td>
						<td>{:date('Y-m-d H:i',$vo['addtime'])}</td>
						<td><if condition="$vo['cancel_time'] gt 0">{:date('Y-m-d H:i',$vo['cancel_time'])}<else />--</if></td>
						<td><if condition="$vo['paytime'] gt 0">{:date('Y-m-d H:i',$vo['paytime'])}<else />--</if></td>
						<td><if condition="$vo['shipment_time'] gt 0">{:date('Y-m-d H:i',$vo['shipment_time'])}<else />--</if></td>
						<td><if condition="$vo['receive_time'] gt 0">{:date('Y-m-d H:i',$vo['receive_time'])}<else />--</if></td>
						<td><if condition="$vo['evaluate_time'] gt 0">{:date('Y-m-d H:i',$vo['evaluate_time'])}<else />--</if></td>
						<td><if condition="$vo['settlement_time'] gt 0">{:date('Y-m-d H:i',$vo['settlement_time'])}<else />--</if></td>
						<td><if condition="$vo['shareuid'] gt 0">{$vo['share_info']['user_nickname']}({$vo['shareuid']})<else />--</if></td>
						<td>￥{$vo['share_income']}</td>
						
						<td>
                            <if condition="$vo['shop_uid'] eq 1 && $vo['status'] eq 1">
                            	<a class="btn btn-xs btn-primary" href='{:url("Goodsorder/setexpress",array("id"=>$vo["id"]))}'>{:lang('FILL_IN_LOGISTICS')}</a>
                            </if>
                            
                            <if condition="$vo['shipment_time'] gt 0">
                            	<a class="btn btn-xs btn-primary" onclick="express({$vo['id']})">{:lang('LOGISTICS_INFORMATION')}</a>
                            </if>
                            <a class="btn btn-xs btn-primary" href='{:url("Goodsorder/info",array("id"=>$vo["id"]))}'>{:lang('DETAILS')}</a>
							
						</td>
					</tr>
					</foreach>
				</tbody>
			</table>
			<div class="pagination">{$page}</div>
		</form>
	</div>
	<script src="__STATIC__/js/admin.js"></script>
	<script type="text/javascript">
		$(function(){
			Wind.use('layer');
		});

		function express(orderid){
			layer.open({
			  type: 2,
			  title: LangT('LOGISTICS_INFORMATION'),
			  shadeClose: true,
			  shade: 0.8,
			  area: ['500px', '90%'],
			  content: '/appapi/Express/index?user_type=platform&orderid='+orderid //iframe的url
			}); 
		}
	</script>

	
</body>
</html>